## ros-noetic-tf2-ros 0.7.6

=== debian/changelog ===
ros-noetic-tf2-ros (0.7.6-1focal) focal; urgency=high

  * tf2_ros polling interval proportional to timeout (#492 <https://github.com/ros/geometry2/issues/492>)
    * polling interval proportional to timeout
    * CAN_TRANSFORM_POLLING_SCALE as global
    * add DEFAULT_CAN_TRANSFORM_POLLING_SCALE
  * Removed print statements from buffer interface (#530 <https://github.com/ros/geometry2/issues/530>)
  * Switch to new boost/bind/bind.hpp (#528 <https://github.com/ros/geometry2/issues/528>)
  * Updating the documentation to reflect current constructor for a MessageFilter (#527 <https://github.com/ros/geometry2/issues/527>)
  * (tf2_ros) Docs working on python 3 (#521 <https://github.com/ros/geometry2/issues/521>)
  * Mitigate flakey test in tf2_ros (#490 <https://github.com/ros/geometry2/issues/490>)
  * Contributors: Atsushi Watanabe, Janno Lunenburg, Jochen Sprickerhof, Matthijs van der Burgh, Shih-Wei Guo, Tassos Natsakis

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 11 Oct 2022 07:00:00 -0000

ros-noetic-tf2-ros (0.7.5-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 01 Sep 2020 07:00:00 -0000

ros-noetic-tf2-ros (0.7.4-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 01 Sep 2020 07:00:00 -0000

ros-noetic-tf2-ros (0.7.3-1focal) focal; urgency=high

  * Use correct frame service name in docstrings. (#476 <https://github.com/ros/geometry2/issues/476>)
    Replaces the deprecated names
    {tf_frames, view_frames} -> tf2_frames
  * Cherry-picking various commits from Melodic (#471 <https://github.com/ros/geometry2/issues/471>)
    * Revert "rework Eigen functions namespace hack" (#436 <https://github.com/ros/geometry2/issues/436>)
    * Fixed warnings in message_filter.h (#434 <https://github.com/ros/geometry2/issues/434>)
    the variables are not used in function body and caused -Wunused-parameter to trigger with -Wall
    * Fix ambiguous call for tf2::convert on MSVC (#444 <https://github.com/ros/geometry2/issues/444>)
    * rework ambiguous call on MSVC.
  * Contributors: Michael Grupp, Robert Haschke

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 25 Aug 2020 07:00:00 -0000

ros-noetic-tf2-ros (0.7.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 08 Jun 2020 07:00:00 -0000

ros-noetic-tf2-ros (0.7.1-1focal) focal; urgency=high

  * StatisTransformBroadcaster: simplify/modernize code
  * [noetic] cherry-pick Windows fixes from melodic-devel (#450 <https://github.com/ros/geometry2/issues/450>)
    * [Windows][melodic-devel] Fix install locations (#442 <https://github.com/ros/geometry2/issues/442>)
    * fixed install locations of tf2
    * [windows][melodic] more portable fixes. (#443 <https://github.com/ros/geometry2/issues/443>)
    * more portable fixes.
  * import setup from setuptools instead of distutils-core (#449 <https://github.com/ros/geometry2/issues/449>)
  * Contributors: Alejandro Hernández Cordero, Robert Haschke, Sean Yen

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-tf2-ros (0.7.0-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#445 <https://github.com/ros/geometry2/issues/445>)
  * Add arguments to TransformListener constructors that accept TransportHints for the tf topic subscriber (#438 <https://github.com/ros/geometry2/issues/438>)
  * Merge pull request #404 <https://github.com/ros/geometry2/issues/404> from otamachan/remove-load-manifest
    Remove roslib.load_manifest
  * Merge pull request #402 <https://github.com/ros/geometry2/issues/402> from rhaschke/fix-message-filter
    Fix message filter
  * resolve virtual function call in destructor
  * remove pending callbacks in clear()
  * Merge pull request #372 <https://github.com/ros/geometry2/issues/372> from lucasw/patch-1
    spelling fix: seperate -> separate
  * Merge pull request #369 <https://github.com/ros/geometry2/issues/369> from magazino/fix-dangling-reference
  * Fix dangling iterator references in buffer_server.cpp
  * Remove some useless code from buffer_server_main.cpp (#368 <https://github.com/ros/geometry2/issues/368>)
  * Mark check_frequency as deprecated in docstring.
  * Follow #337 <https://github.com/ros/geometry2/issues/337>: use actionlib API in BufferClient::processGoal()
  * Test for equality to None with 'is' instead of '==' (#355 <https://github.com/ros/geometry2/issues/355>)
  * added parameter to advertise tf2-frames as a service, if needed
  * Contributors: Daniel Ingram, Emre Sahin, JonasTietz, Lucas Walter, Michael Grupp, Robert Haschke, Shane Loretz, Tamaki Nishino, Tully Foote, toliver

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 09 Mar 2020 07:00:00 -0000

ros-noetic-tf2-ros (0.6.5-1focal) focal; urgency=high

  * Protect the time reset logic from a race condition.
    Fixes #341 <https://github.com/ros/geometry2/issues/341>
    This could incorrectly trigger a buffer clear if two concurrent callbacks were invoked.
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-noetic-tf2-ros (0.6.4-1focal) focal; urgency=high

  * fix(buffer-client): Use actionlib api for obtaining result
    Use the API provided by actionlib for waiting for result. This will improve the response time and prevent problems with custom solutions (see #178 <https://github.com/ros/geometry2/issues/178>). This change makes constructor parameter check_frequency obsolute and deprecates it.
  * Add check to buffer_client.py to make sure result is available
    Related issue: #178 <https://github.com/ros/geometry2/issues/178>
  * Add check to reset buffer when rostime goes backwards
  * Fixed the value of expected_success_count_
  * Added a tf2_ros message filter unittest with multiple target frames and non-zero time tolerance
  * Contributors: Ewoud Pool, Jørgen Borgesen, Stephen Williams

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 06 Nov 2018 08:00:00 -0000


